Compare commits

...

29 Commits

Author SHA1 Message Date
Taiki Endo
6a4015d722 Release 2.48.21 2025-02-22 12:37:02 +09:00
Taiki Endo
817fcd18a5 Update wasmtime@latest to 30.0.1 2025-02-22 09:28:46 +09:00
Taiki Endo
dee334f610 Update syft@latest to 1.20.0 2025-02-22 06:14:30 +09:00
Taiki Endo
38c7691f46 Update scripts 2025-02-21 23:48:30 +09:00
Taiki Endo
2dbeb927f5 Release 2.48.20 2025-02-21 20:15:39 +09:00
Taiki Endo
7852930e42 Update cargo-udeps@latest to 0.1.55 2025-02-21 09:31:15 +09:00
Taiki Endo
46724b7a3e Revert "ci: Temporarily disable buggy ubuntu-24.04-arm runner"
This reverts commit 0b0596dd1e.
2025-02-21 00:40:15 +09:00
Taiki Endo
55451daf94 Release 2.48.19 2025-02-21 00:15:51 +09:00
Taiki Endo
964cdcf277 Update typos@latest to 1.29.9 2025-02-21 00:13:17 +09:00
Taiki Endo
dd548c6593 Release 2.48.18 2025-02-20 20:18:57 +09:00
Taiki Endo
de33aea2e5 Update cargo-deny@latest to 0.17.0 2025-02-20 20:09:17 +09:00
Taiki Endo
69a1d2b891 Release 2.48.17 2025-02-20 20:02:50 +09:00
Taiki Endo
c57ce37e13 Update wasmtime@latest to 30.0.0 2025-02-20 13:15:42 +09:00
Taiki Endo
7afac3d3be Release 2.48.16 2025-02-20 03:39:57 +09:00
Taiki Endo
c036d35ea6 Update typos@latest to 1.29.8 2025-02-20 03:36:15 +09:00
Taiki Endo
54b836426b Release 2.48.15 2025-02-19 02:10:33 +09:00
Taiki Endo
9fff09cbe0 Update xh@latest to 0.24.0 2025-02-18 18:14:12 +09:00
Taiki Endo
13b3c51a32 Release 2.48.14 2025-02-18 09:08:33 +09:00
Taiki Endo
3ccbe21af2 Update mdbook@latest to 0.4.45 2025-02-18 06:13:44 +09:00
Taiki Endo
ad0904967b Release 2.48.13 2025-02-17 02:17:11 +09:00
Taiki Endo
3fc69e7246 tools: Update publish.sh 2025-02-17 02:16:54 +09:00
Taiki Endo
f45576468f codegen: zola now provides AArch64 Linux binary 2025-02-17 02:16:06 +09:00
Taiki Endo
7b30dcdca1 Mark zola as glibc_pre_2_35_incompat
```
zola: /lib64/libm.so.6: version `GLIBC_2.35' not found (required by zola)
```
2025-02-17 02:16:06 +09:00
Taiki Endo
f188d3633d Update zola@latest to 0.20.0 2025-02-17 02:16:06 +09:00
Taiki Endo
83080f843d Update cargo-binstall@latest to 1.11.0 2025-02-17 02:16:06 +09:00
Taiki Endo
7bcfa52bea Release 2.48.12 2025-02-15 03:15:59 +09:00
Taiki Endo
f8ea9d2f10 Update rclone@latest to 1.69.1 2025-02-15 03:14:15 +09:00
Taiki Endo
dfe4a92949 Update cargo-tarpaulin@latest to 0.32.0 2025-02-14 21:15:19 +09:00
Taiki Endo
85f2be18a0 Update cargo-nextest@latest to 0.9.91 2025-02-14 11:03:25 +09:00
20 changed files with 478 additions and 88 deletions

View File

@@ -62,7 +62,7 @@ jobs:
- os: ubuntu-22.04
- os: ubuntu-22.04-arm
- os: ubuntu-24.04
# - os: ubuntu-24.04-arm # TODO: re-enable when https://github.com/rust-lang/rust/issues/135867 solved
- os: ubuntu-24.04-arm
- os: ubuntu-22.04
tool: major.minor.patch
- os: ubuntu-22.04

View File

@@ -53,7 +53,7 @@ jobs:
id: diff
run: tools/ci/manifest.sh
if: github.repository_owner == 'taiki-e' && (github.event_name == 'schedule' || github.event_name == 'push' && github.ref == 'refs/heads/main')
- run: git add -N . && git diff --exit-code
- run: git add -N . && git -c color.ui=always diff --exit-code
- id: create-pull-request
uses: peter-evans/create-pull-request@v7
with:

View File

@@ -10,6 +10,56 @@ Note: In this file, do not use the hard wrap in the middle of a sentence for com
## [Unreleased]
## [2.48.21] - 2025-02-22
- Update `wasmtime@latest` to 30.0.1.
- Update `syft@latest` to 1.20.0.
## [2.48.20] - 2025-02-21
- Update `cargo-udeps@latest` to 0.1.55.
## [2.48.19] - 2025-02-20
- Update `typos@latest` to 1.29.9.
## [2.48.18] - 2025-02-20
- Update `cargo-deny@latest` to 0.17.0.
## [2.48.17] - 2025-02-20
- Update `wasmtime@latest` to 30.0.0.
## [2.48.16] - 2025-02-19
- Update `typos@latest` to 1.29.8.
## [2.48.15] - 2025-02-18
- Update `xh@latest` to 0.24.0.
## [2.48.14] - 2025-02-18
- Update `mdbook@latest` to 0.4.45.
## [2.48.13] - 2025-02-16
- Support `zola` on AArch64 Linux.
- Update `zola@latest` to 0.20.0.
- Update `cargo-binstall@latest` to 1.11.0.
## [2.48.12] - 2025-02-14
- Update `rclone@latest` to 1.69.1.
- Update `cargo-tarpaulin@latest` to 0.32.0.
- Update `cargo-nextest@latest` to 0.9.91.
## [2.48.11] - 2025-02-14
- Update `typos@latest` to 1.29.7.
@@ -3498,7 +3548,17 @@ Note: This release is considered a breaking change because installing on version
Initial release
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.48.11...HEAD
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.48.21...HEAD
[2.48.21]: https://github.com/taiki-e/install-action/compare/v2.48.20...v2.48.21
[2.48.20]: https://github.com/taiki-e/install-action/compare/v2.48.19...v2.48.20
[2.48.19]: https://github.com/taiki-e/install-action/compare/v2.48.18...v2.48.19
[2.48.18]: https://github.com/taiki-e/install-action/compare/v2.48.17...v2.48.18
[2.48.17]: https://github.com/taiki-e/install-action/compare/v2.48.16...v2.48.17
[2.48.16]: https://github.com/taiki-e/install-action/compare/v2.48.15...v2.48.16
[2.48.15]: https://github.com/taiki-e/install-action/compare/v2.48.14...v2.48.15
[2.48.14]: https://github.com/taiki-e/install-action/compare/v2.48.13...v2.48.14
[2.48.13]: https://github.com/taiki-e/install-action/compare/v2.48.12...v2.48.13
[2.48.12]: https://github.com/taiki-e/install-action/compare/v2.48.11...v2.48.12
[2.48.11]: https://github.com/taiki-e/install-action/compare/v2.48.10...v2.48.11
[2.48.10]: https://github.com/taiki-e/install-action/compare/v2.48.9...v2.48.10
[2.48.9]: https://github.com/taiki-e/install-action/compare/v2.48.8...v2.48.9

View File

@@ -22,32 +22,32 @@
},
"license_markdown": "[GPL-3.0](https://github.com/cargo-bins/cargo-binstall/blob/HEAD/crates/bin/LICENSE)",
"latest": {
"version": "1.10.23"
"version": "1.11.0"
},
"1.10.23": {
"1.11.0": {
"x86_64_linux_musl": {
"etag": "0x8DD4AFD896913A3",
"checksum": "34de8f3ada6cb3e7ba6b928c89e0365b2d915bf55868f89adb2dc6ef54dc7a57"
"etag": "0x8DD4DA50EF05FF4",
"checksum": "1d9afc284393a341d7c6317101c0f208d8fad9f7a2ed6f1853628cc5c1403b7d"
},
"x86_64_macos": {
"etag": "0x8DD4AFD5A60CA1D",
"checksum": "2bf066806ab55af01111f36429f17417a0edf4b378b7da0bf20630e3513452ae"
"etag": "0x8DD4DA4AFD6B7B5",
"checksum": "89b3c2e847ba3edd2e016850d1223c5df3743d5c801f08c60da64d39dd4cc8d6"
},
"x86_64_windows": {
"etag": "0x8DD4AFE9EE1AC80",
"checksum": "e3abbe9a4607ec25b13bcb753a6107b8c4c3c96182613077d8e31e98c1c5d05f"
"etag": "0x8DD4DA60C2A3B51",
"checksum": "0cd260738ea30032c0c0a6eeb446cfe5c5ec5974323d7a2a031da1fd10c7760d"
},
"aarch64_linux_musl": {
"etag": "0x8DD4AFD39474706",
"checksum": "95e7e99e421af46ae3553f3d39ef7a8e30b5a9b665766ff1a377b98c5f779ca2"
"etag": "0x8DD4DA478073A0E",
"checksum": "0023091a41560dd8f948f401c21401d036e42408e7183e62017b6b90b5973b7c"
},
"aarch64_macos": {
"etag": "0x8DD4AFDA9863BD9",
"checksum": "73abce9648edad70f4c5d22c30a2f5bb8ebedd012b6ac874608003153fd815c2"
"etag": "0x8DD4DA4E6F4CEBC",
"checksum": "bd746c656e5cc9820fb277b442f438127bc461c52f20500452b845a767d15322"
},
"aarch64_windows": {
"etag": "0x8DD4AFE236CDF4D",
"checksum": "e22b0a697ebf017cfb05302bc02c59f79536cd9f63e7dd385a4da3da3fbbdc76"
"etag": "0x8DD4DA5B9D4FBEE",
"checksum": "80fc65c0bd700e68489244b60b67cf88bc5f5c50eccc337d8d79e7a81a7b5383"
}
}
}

View File

@@ -24,7 +24,32 @@
},
"license_markdown": "[MIT](https://github.com/EmbarkStudios/cargo-deny/blob/main/LICENSE-MIT) OR [Apache-2.0](https://github.com/EmbarkStudios/cargo-deny/blob/main/LICENSE-APACHE)",
"latest": {
"version": "0.16.4"
"version": "0.17.0"
},
"0.17": {
"version": "0.17.0"
},
"0.17.0": {
"x86_64_linux_musl": {
"etag": "0x8DD518E866BDAA6",
"checksum": "eafaffd87b2c7e97a644ed6eeac267b2af471a5bcf9cff7435852661caadf353"
},
"x86_64_macos": {
"etag": "0x8DD518E713313D0",
"checksum": "fdd12d35aee874abcebe1ce9aff10fb224219326895edd5d5eb23e014366b301"
},
"x86_64_windows": {
"etag": "0x8DD518F2975306A",
"checksum": "95d72fd9a079e83e93ddc345227fd9dfb4d4133275f5d0cb0f7df322eac6d3b7"
},
"aarch64_linux_musl": {
"etag": "0x8DD518E96C67017",
"checksum": "147422f4914e0c322ac8f2d0676afddfcd40c91a226d69b5b799af8c6978cf21"
},
"aarch64_macos": {
"etag": "0x8DD518E9D5EDDB7",
"checksum": "8f59efe8d4785ba4febe0e8b079952a03d435f50345533c3dd4ef2b107ba18e0"
}
},
"0.16": {
"version": "0.16.4"

View File

@@ -19,10 +19,33 @@
},
"license_markdown": "[Apache-2.0](https://github.com/nextest-rs/nextest/blob/main/LICENSE-APACHE) OR [MIT](https://github.com/nextest-rs/nextest/blob/main/LICENSE-MIT)",
"latest": {
"version": "0.9.90"
"version": "0.9.91"
},
"0.9": {
"version": "0.9.90"
"version": "0.9.91"
},
"0.9.91": {
"previous_stable_version": "0.9.90",
"x86_64_linux_gnu": {
"etag": "0x8DD4C9803365D77",
"checksum": "c28e4d7380662860eff0bc407d9830f59c2ac0a4b2d1c73d0d9c671139fa2eac"
},
"x86_64_linux_musl": {
"etag": "0x8DD4C9831FCF8ED",
"checksum": "e5e319f562b250ef2d806201a0b023aa1ab3e9880f11c4176d6fbf6e366d3c50"
},
"x86_64_macos": {
"etag": "0x8DD4C98297BA941",
"checksum": "104ba3670bb3a277fdfd2e94f4eb09909165ef114f2808e887332d859ba1ca92"
},
"x86_64_windows": {
"etag": "0x8DD4C98D37ED80B",
"checksum": "54d18079329ce85af4dd77f15662eb97eab08a3f36b36290363a919b48714e5e"
},
"aarch64_linux_gnu": {
"etag": "0x8DD4C9823CE6601",
"checksum": "9169fe49cd6cc432e233d75ba8a6f35e0797ee2ea8ca917703c99ff9cc08922a"
}
},
"0.9.90": {
"previous_stable_version": "0.9.89",

View File

@@ -19,7 +19,32 @@
},
"license_markdown": "[MIT](https://github.com/xd009642/tarpaulin/blob/develop/LICENSE-MIT) OR [Apache-2.0](https://github.com/xd009642/tarpaulin/blob/develop/LICENSE-APACHE)",
"latest": {
"version": "0.31.5"
"version": "0.32.0"
},
"0.32": {
"version": "0.32.0"
},
"0.32.0": {
"x86_64_linux_musl": {
"etag": "0x8DD4CE72F1035B0",
"checksum": "a2ccc0792895182dd3df52e356401932fdefdfba17d4ae08831927337eaee337"
},
"x86_64_macos": {
"etag": "0x8DD4CE6F0127B7F",
"checksum": "f595f9dee318c92866c762e43d97005ea30e76f7e1d5713e548300aea4d9a6b4"
},
"x86_64_windows": {
"etag": "0x8DD4CE776A3C8A3",
"checksum": "b9614633539be588314a0ec367a80365d00854dbe54a92bfa0981757cc88b1e5"
},
"aarch64_linux_musl": {
"etag": "0x8DD4CE70205449F",
"checksum": "47236114c45b584f3aba663fecd454d15151785b51ac0e94631f4babfba5700d"
},
"aarch64_macos": {
"etag": "0x8DD4CE6C913BEBF",
"checksum": "e46aabe1f6b0cbee10ed6f4ca3c5efbfc1eec961a6ec8a5a03933622d9804965"
}
},
"0.31": {
"version": "0.31.5"

View File

@@ -32,10 +32,36 @@
},
"license_markdown": "[Apache-2.0 OR MIT](https://github.com/est31/cargo-udeps/blob/HEAD/LICENSE)",
"latest": {
"version": "0.1.54"
"version": "0.1.55"
},
"0.1": {
"version": "0.1.54"
"version": "0.1.55"
},
"0.1.55": {
"x86_64_linux_musl": {
"etag": "0x8DD51FD656FD61C",
"checksum": "63b9dd69eef610477ead31a02a8262ec321a0e0272080c8db60d547233b2b55f"
},
"x86_64_macos": {
"etag": "0x8DD51FD3F1522FD",
"checksum": "bf5264e82de4db53dda851cfadf1fc84681e89f839703077b99238562da9b4be"
},
"x86_64_windows": {
"etag": "0x8DD51FDD1BF0962",
"checksum": "b6ac0a3aaa91609924e8f116bedf33f9892f25bea10437b73ac62b886baf0bdd"
},
"aarch64_linux_musl": {
"etag": "0x8DD51FD66F8DA00",
"checksum": "a7b554ce1ad67e7e2c7679496c6bc4e57e35a36be50300670314fa3879405b2a"
},
"aarch64_macos": {
"etag": "0x8DD51FD5B3C7F18",
"checksum": "83727df0216eb08b4af11ab0f6f0699d06cfe807973b7cad83bc0a8a3b61ca1a"
},
"aarch64_windows": {
"etag": "0x8DD51FDD55FDE6B",
"checksum": "d0a2c26f11369c5855ffeaafaf6f299d179eb87afe3f2955fad893a7eff12dd3"
}
},
"0.1.54": {
"x86_64_linux_musl": {

26
manifests/mdbook.json generated
View File

@@ -22,10 +22,32 @@
},
"license_markdown": "[MPL-2.0](https://github.com/rust-lang/mdBook/blob/master/LICENSE)",
"latest": {
"version": "0.4.44"
"version": "0.4.45"
},
"0.4": {
"version": "0.4.44"
"version": "0.4.45"
},
"0.4.45": {
"x86_64_linux_musl": {
"etag": "0x8DD4F82D422F91C",
"checksum": "1b7ff6c18d20f367d97978d82273b5a5b343ef8e2300118c7d7f13d780619609"
},
"x86_64_macos": {
"etag": "0x8DD4F82D91DE44D",
"checksum": "085256959b89a90d476203720e3a9527f49509158f4afd218a532525711164d5"
},
"x86_64_windows": {
"etag": "0x8DD4F832D86EFB3",
"checksum": "ee9025ac339ce151bfb3a9dbfc7bce55580e84b2bcbc02a45a8dcca57dbd8a10"
},
"aarch64_linux_musl": {
"etag": "0x8DD4F82E1F83EAC",
"checksum": "8de76e084888803af4b2b710ac8e874107bbd5686f59323776defb8faa837818"
},
"aarch64_macos": {
"etag": "0x8DD4F82D89B8B35",
"checksum": "7e0368004c6e16c176f74498cc348717578c747759460b6082b62fb184e4f417"
}
},
"0.4.44": {
"x86_64_linux_musl": {

32
manifests/rclone.json generated
View File

@@ -28,13 +28,39 @@
},
"license_markdown": "[MIT](https://github.com/rclone/rclone/blob/master/COPYING)",
"latest": {
"version": "1.69.0"
"version": "1.69.1"
},
"1": {
"version": "1.69.0"
"version": "1.69.1"
},
"1.69": {
"version": "1.69.0"
"version": "1.69.1"
},
"1.69.1": {
"x86_64_linux_musl": {
"etag": "0x8DD4D194D7A0994",
"checksum": "231841f8d8029ae6cfca932b601b3b50d0e2c3c2cb9da3166293f1c3eae7d79c"
},
"x86_64_macos": {
"etag": "0x8DD4D1A46FD41A1",
"checksum": "ebe1d5e13b0255605becfafbfa7c1809bc985272bcea0b342675c7e29c57629b"
},
"x86_64_windows": {
"etag": "0x8DD4D1A7D5C54F1",
"checksum": "0803f06d721e5399e48794538294099b195d51cc84b27bdb67e131096ad93ee4"
},
"aarch64_linux_musl": {
"etag": "0x8DD4D199A88035B",
"checksum": "a03de8f700fcda7a1aef6b568f88d44218b698fb4e1637596c024d341bb24124"
},
"aarch64_macos": {
"etag": "0x8DD4D1A4F323719",
"checksum": "09b42295c30ba6b41a0d9c6741e4b5769de9ddecf5069f93c33f01bb46caa228"
},
"aarch64_windows": {
"etag": "0x8DD4D1A847A5706",
"checksum": "0f8a786c1eae54594bd067e05c1d22b3b346c5a8fb02392c446f63bab52be5aa"
}
},
"1.69.0": {
"x86_64_linux_musl": {

29
manifests/syft.json generated
View File

@@ -24,10 +24,35 @@
},
"license_markdown": "[Apache-2.0](https://github.com/anchore/syft/blob/main/LICENSE)",
"latest": {
"version": "1.19.0"
"version": "1.20.0"
},
"1": {
"version": "1.19.0"
"version": "1.20.0"
},
"1.20": {
"version": "1.20.0"
},
"1.20.0": {
"x86_64_linux_musl": {
"etag": "0x8DD52B9B44D9131",
"checksum": "689e12c5cbf67521ce61b9c126068f9eaabe1223e77971b2fede50033ff6b5cc"
},
"x86_64_macos": {
"etag": "0x8DD52B9B5107ADF",
"checksum": "5fdf7afd0f1bfdbb2a1a575eacef8e10edfcb4783631baaa7572a9f4a4d86441"
},
"x86_64_windows": {
"etag": "0x8DD52B9B4FD568D",
"checksum": "b8bfdedb261de2a69768097422a73bc72273ee92136ff676a20c3161e658881f"
},
"aarch64_linux_musl": {
"etag": "0x8DD52B9B448B4AE",
"checksum": "53f76737ddbf425c89240d5b0be0990b1a71e66890b44f19743221b17e6ee635"
},
"aarch64_macos": {
"etag": "0x8DD52B9B5075D68",
"checksum": "91365712a06af0c0dcd06f5e87fc8791c4332831b3dd6f5474acaaf803d71d82"
}
},
"1.19": {
"version": "1.19.0"

42
manifests/typos.json generated
View File

@@ -16,13 +16,49 @@
},
"license_markdown": "[MIT](https://github.com/crate-ci/typos/blob/master/LICENSE-MIT) OR [Apache-2.0](https://github.com/crate-ci/typos/blob/master/LICENSE-APACHE)",
"latest": {
"version": "1.29.7"
"version": "1.29.9"
},
"1": {
"version": "1.29.7"
"version": "1.29.9"
},
"1.29": {
"version": "1.29.7"
"version": "1.29.9"
},
"1.29.9": {
"x86_64_linux_musl": {
"etag": "0x8DD51BEAEB7902D",
"checksum": "ef985fe226e823297c9c2aa8553fb718bb11838b744c54429f2900d5dbfd5415"
},
"x86_64_macos": {
"etag": "0x8DD51BED49B2305",
"checksum": "2dbe0f9ac6a0377592c7d0cf6709caba68765036c00646bd02d608e723b64014"
},
"x86_64_windows": {
"etag": "0x8DD51BF1E2DE6DA",
"checksum": "8e85bf422026ee15b9464796c48bfb26b53a040132ed5cdf905cbf60d4283764"
},
"aarch64_macos": {
"etag": "0x8DD51BEDDC55FCA",
"checksum": "d8cdf714be02e1b5ea78376d257ebd8776e5bf2bd9ea92954b6289e7f5f041f9"
}
},
"1.29.8": {
"x86_64_linux_musl": {
"etag": "0x8DD50FF6B404955",
"checksum": "f1eebf7060e33ff08145bd5f211e75045608b39282c87483033bfe57cbeff3dc"
},
"x86_64_macos": {
"etag": "0x8DD50FF76650FE8",
"checksum": "90deb589e2d41cf808fde17f2036083c3e92a1a067f867860c4e01b37608034e"
},
"x86_64_windows": {
"etag": "0x8DD50FFEAD694DD",
"checksum": "b4590074a208bc62a4194a3ab35fbb776c785c135cb7bd6f9689c920761b962d"
},
"aarch64_macos": {
"etag": "0x8DD50FF9B929E8E",
"checksum": "f30be4284ca2780e999dcbe54c58671dcff38e715cfedd2c3c526123054f5715"
}
},
"1.29.7": {
"x86_64_linux_musl": {

View File

@@ -28,7 +28,65 @@
},
"license_markdown": "[Apache-2.0 WITH LLVM-exception](https://github.com/bytecodealliance/wasmtime/blob/main/LICENSE)",
"latest": {
"version": "29.0.1"
"version": "30.0.1"
},
"30": {
"version": "30.0.1"
},
"30.0": {
"version": "30.0.1"
},
"30.0.1": {
"x86_64_linux_gnu": {
"etag": "0x8DD52CF8F3C37D8",
"checksum": "199ad22a5bd21bb58254a08694ea21736218eb98543d8115fe5b061c86acce88"
},
"x86_64_macos": {
"etag": "0x8DD52CF90715FF0",
"checksum": "14b1c4544e8bd0b5634b8abc6645f067b4805f1cfed888c472311beb171d38a1"
},
"x86_64_windows": {
"etag": "0x8DD52CF956BD41D",
"checksum": "2403df495779198f55199bcf96b4755338bcecc47803ec892280c79936ff5a88"
},
"aarch64_linux_gnu": {
"etag": "0x8DD52CF7F0DAC3F",
"checksum": "3c7898be02de6daf70dae9daba2916dc04916ce1c5c08d7480dc394059f1962b"
},
"aarch64_macos": {
"etag": "0x8DD52CF8028D9DE",
"checksum": "7d5484feb0711efa546173e6db4a7006a8412ec1ff0df01498cf83b1450d4840"
},
"aarch64_windows": {
"etag": "0x8DD52CF82FDA8E7",
"checksum": "378304dd8b05d6ca6547013594e022af923ad047e66d4c8539c0b30f7a4fccbf"
}
},
"30.0.0": {
"x86_64_linux_gnu": {
"etag": "0x8DD515A370042BA",
"checksum": "e5a1539288e5314eacdbace8b39412302f231233bb4f6e90551958ceb4ed5bef"
},
"x86_64_macos": {
"etag": "0x8DD515A38224727",
"checksum": "f85a5d3a13a5ef5a757bac0494cd7053fd894cc9c137e7a8fe56f3a53ec4a998"
},
"x86_64_windows": {
"etag": "0x8DD515A3CED862C",
"checksum": "e3d5f97ffea844a958b2b9a2c266ac60ea090f738ac875bf5ea5172c565be84c"
},
"aarch64_linux_gnu": {
"etag": "0x8DD515A26A641FA",
"checksum": "1b686f8c306ca37b222073ca1fa64a21b4f1a4beaaaf28627d3a0e546635f6b5"
},
"aarch64_macos": {
"etag": "0x8DD515A27E5710B",
"checksum": "04c8711e050229c94f121f62afe87722846d635d31b3ca7dddd7764c3dddf03b"
},
"aarch64_windows": {
"etag": "0x8DD515A2A941EC2",
"checksum": "5cbe71bea3af19a56207a12cd5a636165e32a592b6b55469dc6b17d5650b4c25"
}
},
"29": {
"version": "29.0.1"

27
manifests/xh.json generated
View File

@@ -24,7 +24,32 @@
},
"license_markdown": "[MIT](https://github.com/ducaale/xh/blob/master/LICENSE)",
"latest": {
"version": "0.23.1"
"version": "0.24.0"
},
"0.24": {
"version": "0.24.0"
},
"0.24.0": {
"x86_64_linux_musl": {
"etag": "0x8DD4FF88945D0F5",
"checksum": "c65ffd3aca38cb7d9a618342718650957d2f371f21435f62eb1a19229b033825"
},
"x86_64_macos": {
"etag": "0x8DD4FF8787DD46E",
"checksum": "9a16febb0eb25a0c226dbb889985f2cce1b4f3808a18113742f82f93e5a1290b"
},
"x86_64_windows": {
"etag": "0x8DD4FF8D187B278",
"checksum": "ffadf8460c5f16ccf0da36baa3703ea3da64bc74e8ef13cb9e1b5d29aba3c23d"
},
"aarch64_linux_musl": {
"etag": "0x8DD4FF876E9B91B",
"checksum": "e32e714a5babf1196d20c46b198af3083576cd0ffc94e593fc263239f14bfe8d"
},
"aarch64_macos": {
"etag": "0x8DD4FF872EAD8EB",
"checksum": "15f4fcd7c0321723455b6a56812914fd557baf05d6712d9d086a5008f1dc0579"
}
},
"0.23": {
"version": "0.23.1"

30
manifests/zola.json generated
View File

@@ -10,13 +10,41 @@
"x86_64_windows": {
"url": "https://github.com/getzola/zola/releases/download/v${version}/zola-v${version}-x86_64-pc-windows-msvc.zip"
},
"aarch64_linux_gnu": {
"url": "https://github.com/getzola/zola/releases/download/v${version}/zola-v${version}-aarch64-unknown-linux-gnu.tar.gz"
},
"aarch64_macos": {
"url": "https://github.com/getzola/zola/releases/download/v${version}/zola-v${version}-aarch64-apple-darwin.tar.gz"
}
},
"license_markdown": "[MIT](https://github.com/getzola/zola/blob/master/LICENSE)",
"latest": {
"version": "0.19.2"
"version": "0.20.0"
},
"0.20": {
"version": "0.20.0"
},
"0.20.0": {
"x86_64_linux_gnu": {
"etag": "0x8DD4D41F3D3509F",
"checksum": "ca7ed5b33a739c5b5b35a0e207e5c3578a652cd12b61c675763b3ff34c322d08"
},
"x86_64_macos": {
"etag": "0x8DD4D41F3E3B8E8",
"checksum": "23f1d5e117c7a01aa1c452cd1ffd3da1af533cf74a93762d9e4e1459fb029646"
},
"x86_64_windows": {
"etag": "0x8DD4D41F41345F4",
"checksum": "25cd5082b6717fe50fd1351a4867ece6d898211a9bf37b58180c7b4013f9e061"
},
"aarch64_linux_gnu": {
"etag": "0x8DD4D41F41ADE85",
"checksum": "91b428514d1c6b5674ed0e7ec244152b98c0a3eb6b63bb2c887e5966f185f7fa"
},
"aarch64_macos": {
"etag": "0x8DD4D41F4283CF9",
"checksum": "6dd8a3c77baef359df00916709e954e415c5acc1fa99fcd754bb600627fb4935"
}
},
"0.19": {
"version": "0.19.2"

View File

@@ -22,7 +22,7 @@ set -x
has_update=''
for manifest in manifests/*.json; do
git add -N "${manifest}"
if ! git diff --exit-code -- "${manifest}"; then
if ! git diff --exit-code -- "${manifest}" &>/dev/null; then
name="${manifest##*/}"
name="${name%.*}"
git stash

View File

@@ -6,8 +6,13 @@ trap -- 's=$?; printf >&2 "%s\n" "${0##*/}:${LINENO}: \`${BASH_COMMAND}\` exit w
cd -- "$(dirname -- "$0")"/../..
# They don't provide prebuilt binaries for musl or old glibc host.
# version `GLIBC_2.35' not found
glibc_pre_2_35_incompat=(
zola
)
# version `GLIBC_2.34' not found
glibc_pre_2_34_incompat=(
"${glibc_pre_2_35_incompat[@]}"
cargo-spellcheck
wait-for-them
xbuild
@@ -17,7 +22,6 @@ glibc_pre_2_31_incompat=(
"${glibc_pre_2_34_incompat[@]}"
cargo-sort
espup
zola
)
# version `GLIBC_2.28' not found
glibc_pre_2_28_incompat=(
@@ -67,28 +71,33 @@ case "$(uname -s)" in
incompat_tools+=("${musl_incompat[@]}")
else
host_glibc_version=$(grep -E "GLIBC|GNU libc" <<<"${ldd_version}" | sed "s/.* //g")
higher_glibc_version=$(LC_ALL=C sort -Vu <<<"2.34"$'\n'"${host_glibc_version}" | tail -1)
higher_glibc_version=$(LC_ALL=C sort -Vu <<<"2.35"$'\n'"${host_glibc_version}" | tail -1)
if [[ "${higher_glibc_version}" != "${host_glibc_version}" ]]; then
higher_glibc_version=$(LC_ALL=C sort -Vu <<<"2.31"$'\n'"${host_glibc_version}" | tail -1)
higher_glibc_version=$(LC_ALL=C sort -Vu <<<"2.34"$'\n'"${host_glibc_version}" | tail -1)
if [[ "${higher_glibc_version}" != "${host_glibc_version}" ]]; then
higher_glibc_version=$(LC_ALL=C sort -Vu <<<"2.28"$'\n'"${host_glibc_version}" | tail -1)
higher_glibc_version=$(LC_ALL=C sort -Vu <<<"2.31"$'\n'"${host_glibc_version}" | tail -1)
if [[ "${higher_glibc_version}" != "${host_glibc_version}" ]]; then
higher_glibc_version=$(LC_ALL=C sort -Vu <<<"2.27"$'\n'"${host_glibc_version}" | tail -1)
higher_glibc_version=$(LC_ALL=C sort -Vu <<<"2.28"$'\n'"${host_glibc_version}" | tail -1)
if [[ "${higher_glibc_version}" != "${host_glibc_version}" ]]; then
higher_glibc_version=$(LC_ALL=C sort -Vu <<<"2.17"$'\n'"${host_glibc_version}" | tail -1)
higher_glibc_version=$(LC_ALL=C sort -Vu <<<"2.27"$'\n'"${host_glibc_version}" | tail -1)
if [[ "${higher_glibc_version}" != "${host_glibc_version}" ]]; then
incompat_tools+=("${glibc_pre_2_17_incompat[@]}")
higher_glibc_version=$(LC_ALL=C sort -Vu <<<"2.17"$'\n'"${host_glibc_version}" | tail -1)
if [[ "${higher_glibc_version}" != "${host_glibc_version}" ]]; then
incompat_tools+=("${glibc_pre_2_17_incompat[@]}")
else
incompat_tools+=("${glibc_pre_2_27_incompat[@]}")
fi
else
incompat_tools+=("${glibc_pre_2_27_incompat[@]}")
incompat_tools+=("${glibc_pre_2_28_incompat[@]}")
fi
else
incompat_tools+=("${glibc_pre_2_28_incompat[@]}")
incompat_tools+=("${glibc_pre_2_31_incompat[@]}")
fi
else
incompat_tools+=("${glibc_pre_2_31_incompat[@]}")
incompat_tools+=("${glibc_pre_2_34_incompat[@]}")
fi
else
incompat_tools+=("${glibc_pre_2_34_incompat[@]}")
incompat_tools+=("${glibc_pre_2_35_incompat[@]}")
fi
fi
fi

View File

@@ -9,6 +9,7 @@
"x86_64_windows": {
"asset_name": "${package}-v${version}-${rust_target}.zip"
},
"aarch64_linux_gnu": {},
"aarch64_macos": {}
}
}

View File

@@ -144,8 +144,9 @@ tools+=(valgrind)
for tool in "${tools[@]}"; do
git checkout -b "${tool}"
sed -E "${in_place[@]}" "s/required: true/required: false/g" action.yml
sed -E "${in_place[@]}" "s/# default: #publish:tool/default: ${tool}/g" action.yml
sed -E "${in_place[@]}" action.yml \
-e "s/required: true/required: false/g" \
-e "s/# default: #publish:tool/default: ${tool}/g"
git add action.yml
git commit -m "${tool}"
retry git push origin -f refs/heads/"${tool}"
@@ -193,9 +194,11 @@ cp -- ./manifests/* "${schema_workspace}"
# Detect changes, then commit and push if changes exist
if [[ "$(git status --porcelain=v1 | wc -l)" != "0" ]]; then
git commit -m 'Update manifest schema'
git push origin HEAD
retry git push origin HEAD
fi
)
rm -rf -- "${schema_workspace}"
git worktree prune
# TODO: get branch in schema_workspace dir instead
git branch -D "${schema_branch}" "${schema_workspace##*/}"

View File

@@ -11,7 +11,7 @@ cd -- "$(dirname -- "$0")"/..
# ./tools/tidy.sh
#
# Note: This script requires the following tools:
# - git
# - git 1.8+
# - jq 1.6+
# - npm (node 18+)
# - python 3.6+
@@ -60,7 +60,11 @@ print_fenced() {
printf '=======================================\n\n'
}
check_diff() {
if [[ -n "${CI:-}" ]]; then
if [[ -n "${GITHUB_ACTIONS:-}" ]]; then
if ! git -c color.ui=always --no-pager diff --exit-code "$@"; then
should_fail=1
fi
elif [[ -n "${CI:-}" ]]; then
if ! git --no-pager diff --exit-code "$@"; then
should_fail=1
fi
@@ -489,9 +493,7 @@ prettier_ext=('*.css' '*.html' '*.js' '*.json' '*.yml' '*.yaml')
if [[ -n "$(ls_files "${prettier_ext[@]}")" ]]; then
info "checking YAML/HTML/CSS/JavaScript/JSON code style"
check_config .editorconfig
if [[ "${ostype}" == 'solaris' ]] && [[ -n "${CI:-}" ]] && ! type -P npm >/dev/null; then
warn "this check is skipped on Solaris due to no node 18+ in upstream package manager"
elif check_install npm; then
if check_install npm; then
IFS=' '
info "running \`npx -y prettier -l -w \$(git ls-files ${prettier_ext[*]})\`"
IFS=$'\n\t'
@@ -510,9 +512,7 @@ check_alt '.yml extension' '.yaml extension' "$(ls_files '*.yaml' | { grep -Fv '
if [[ -n "$(ls_files '*.toml' | { grep -Fv '.taplo.toml' || true; })" ]]; then
info "checking TOML style"
check_config .taplo.toml
if [[ "${ostype}" == 'solaris' ]] && [[ -n "${CI:-}" ]] && ! type -P npm >/dev/null; then
warn "this check is skipped on Solaris due to no node 18+ in upstream package manager"
elif check_install npm; then
if check_install npm; then
info "running \`npx -y @taplo/cli fmt \$(git ls-files '*.toml')\`"
RUST_LOG=warn npx -y @taplo/cli fmt $(ls_files '*.toml')
check_diff $(ls_files '*.toml')
@@ -527,9 +527,7 @@ check_hidden taplo.toml
if [[ -n "$(ls_files '*.md')" ]]; then
info "checking markdown style"
check_config .markdownlint-cli2.yaml
if [[ "${ostype}" == 'solaris' ]] && [[ -n "${CI:-}" ]] && ! type -P npm >/dev/null; then
warn "this check is skipped on Solaris due to no node 18+ in upstream package manager"
elif check_install npm; then
if check_install npm; then
info "running \`npx -y markdownlint-cli2 \$(git ls-files '*.md')\`"
if ! npx -y markdownlint-cli2 $(ls_files '*.md'); then
error "check failed; please resolve the above markdownlint error(s)"
@@ -669,12 +667,7 @@ elif check_install shellcheck; then
# Exclude SC2096 due to the way the temporary script is created.
shellcheck_exclude=SC2096
info "running \`shellcheck --exclude ${shellcheck_exclude}\` for scripts in \$(git ls-files '*Dockerfile*')\`"
if [[ "${ostype}" == 'windows' ]]; then
# No such file or directory: '/proc/N/fd/N'
warn "this check is skipped on Windows due to upstream bug (failed to found fd created by <())"
elif [[ "${ostype}" == 'dragonfly' ]]; then
warn "this check is skipped on DragonFly BSD due to upstream bug (hang)"
elif check_install jq python3 parse-dockerfile; then
if check_install jq python3 parse-dockerfile; then
shellcheck_for_dockerfile() {
local text=$1
local shell=$2
@@ -684,15 +677,23 @@ elif check_install shellcheck; then
fi
text="#!${shell}"$'\n'"${text}"
case "${ostype}" in
windows) text=${text//\r/} ;;
windows) text=${text//$'\r'/} ;; # Parse error on git bash/msys2 bash.
esac
local color=auto
if [[ -t 1 ]] || [[ -n "${GITHUB_ACTIONS:-}" ]]; then
color=always
fi
if ! shellcheck --color="${color}" --exclude "${shellcheck_exclude}" <(printf '%s\n' "${text}") | sed "s/\/dev\/fd\/[0-9][0-9]*/$(sed_rhs_escape "${display_path}")/g"; then
# We don't use <(printf '%s\n' "${text}") here because:
# Windows: failed to found fd created by <() ("/proc/*/fd/* (git bash/msys2 bash) /dev/fd/* (cygwin bash): openBinaryFile: does not exist (No such file or directory)" error)
# DragonFly BSD: hang
# Others: false negative
trap -- 'rm -- ./tools/.tidy-tmp; printf >&2 "%s\n" "${0##*/}: trapped SIGINT"; exit 1' SIGINT
printf '%s\n' "${text}" >|./tools/.tidy-tmp
if ! shellcheck --color="${color}" --exclude "${shellcheck_exclude}" ./tools/.tidy-tmp | sed "s/\.\/tools\/\.tidy-tmp/$(sed_rhs_escape "${display_path}")/g"; then
error "check failed; please resolve the above shellcheck error(s)"
fi
rm -- ./tools/.tidy-tmp
trap -- 'printf >&2 "%s\n" "${0##*/}: trapped SIGINT"; exit 1' SIGINT
}
for dockerfile_path in ${docker_files[@]+"${docker_files[@]}"}; do
dockerfile=$(parse-dockerfile "${dockerfile_path}")
@@ -799,12 +800,7 @@ elif check_install shellcheck; then
# Exclude SC2096 due to the way the temporary script is created.
shellcheck_exclude=SC2086,SC2096,SC2129
info "running \`shellcheck --exclude ${shellcheck_exclude}\` for scripts in .github/workflows/*.yml and **/action.yml"
if [[ "${ostype}" == 'windows' ]]; then
# No such file or directory: '/proc/N/fd/N'
warn "this check is skipped on Windows due to upstream bug (failed to found fd created by <())"
elif [[ "${ostype}" == 'dragonfly' ]]; then
warn "this check is skipped on DragonFly BSD due to upstream bug (hang)"
elif check_install jq python3; then
if check_install jq python3; then
shellcheck_for_gha() {
local text=$1
local shell=$2
@@ -816,27 +812,33 @@ elif check_install shellcheck; then
bash* | sh*) ;;
*) return ;;
esac
text="#!/usr/bin/env ${shell%' {0}'}"$'\n'"${text}"
# Use python because sed doesn't support .*?.
text=$(
"python${py_suffix}" - <(printf '%s\n%s' "#!/usr/bin/env ${shell%' {0}'}" "${text}") <<EOF
"python${py_suffix}" - <<EOF
import re
import sys
with open(sys.argv[1], 'r') as f:
text = f.read()
text = re.sub(r"\\\${{.*?}}", "\${__GHA_SYNTAX__}", text)
text = re.sub(r"\\\${{.*?}}", "\${__GHA_SYNTAX__}", r'''${text}''')
print(text)
EOF
)
case "${ostype}" in
windows) text=${text//\r/} ;;
windows) text=${text//$'\r'/} ;; # Python print emits \r\n.
esac
local color=auto
if [[ -t 1 ]] || [[ -n "${GITHUB_ACTIONS:-}" ]]; then
color=always
fi
if ! shellcheck --color="${color}" --exclude "${shellcheck_exclude}" <(printf '%s\n' "${text}") | sed "s/\/dev\/fd\/[0-9][0-9]*/$(sed_rhs_escape "${display_path}")/g"; then
# We don't use <(printf '%s\n' "${text}") here because:
# Windows: failed to found fd created by <() ("/proc/*/fd/* (git bash/msys2 bash) /dev/fd/* (cygwin bash): openBinaryFile: does not exist (No such file or directory)" error)
# DragonFly BSD: hang
# Others: false negative
trap -- 'rm -- ./tools/.tidy-tmp; printf >&2 "%s\n" "${0##*/}: trapped SIGINT"; exit 1' SIGINT
printf '%s\n' "${text}" >|./tools/.tidy-tmp
if ! shellcheck --color="${color}" --exclude "${shellcheck_exclude}" ./tools/.tidy-tmp | sed "s/\.\/tools\/\.tidy-tmp/$(sed_rhs_escape "${display_path}")/g"; then
error "check failed; please resolve the above shellcheck error(s)"
fi
rm -- ./tools/.tidy-tmp
trap -- 'printf >&2 "%s\n" "${0##*/}: trapped SIGINT"; exit 1' SIGINT
}
for workflow_path in ${workflows[@]+"${workflows[@]}"}; do
workflow=$(yq -c '.' "${workflow_path}")
@@ -966,11 +968,7 @@ fi
if [[ -f .cspell.json ]]; then
info "spell checking"
project_dictionary=.github/.cspell/project-dictionary.txt
if [[ "${ostype}" == 'solaris' ]] && [[ -n "${CI:-}" ]] && ! type -P npm >/dev/null; then
warn "this check is skipped on Solaris due to no node 18+ in upstream package manager"
elif [[ "${ostype}" == 'illumos' ]]; then
warn "this check is skipped on illumos due to upstream bug (dictionaries are not loaded correctly)"
elif check_install npm jq python3; then
if check_install npm jq python3; then
has_rust=''
if [[ -n "$(ls_files '*Cargo.toml')" ]]; then
has_rust=1